_PurpleRequestField Struct Reference

A request field. More...

`#include <request.h>`

## Data Fields

PurpleRequestFieldType | type
PurpleRequestFieldGroup * | group
char * | id
char * | label
char * | type_hint
gboolean | visible
gboolean | required
union {
struct {
gboolean multiline
gboolean masked
gboolean editable
char * default_value
char * value
} string
struct {
int default_value
int value
} integer
struct {
gboolean default_value
gboolean value
} boolean
struct {
int default_value
int value
GList * labels
} choice
struct {
GList * items
GList * icons
GHashTable * item_data
GList * selected
GHashTable * selected_table
gboolean multiple_selection
} list
struct {
PurpleAccount * default_account
PurpleAccount * account
gboolean show_all
PurpleFilterAccountFunc filter_func
} account
struct {
unsigned int scale_x
unsigned int scale_y
const char * buffer
gsize size
} image
} | u
void * | ui_data

## Detailed Description

A request field.

Definition at line 104 of file request.h.

The documentation for this struct was generated from the following file:

- request.h